namespace Datenzugriff.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class v1 : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Teilnehmer",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Anrede = c.Int(nullable: false),
                        Name = c.String(),
                        EMail = c.String(),
                        Geburtstag = c.DateTime(nullable: false),
                        Veranstaltung_ID = c.Int(),
                    })
                .PrimaryKey(t => t.ID)
                .ForeignKey("dbo.Veranstaltung", t => t.Veranstaltung_ID)
                .Index(t => t.Veranstaltung_ID);
            
            CreateTable(
                "dbo.Veranstaltung",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                    })
                .PrimaryKey(t => t.ID);
            
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.Teilnehmer", "Veranstaltung_ID", "dbo.Veranstaltung");
            DropIndex("dbo.Teilnehmer", new[] { "Veranstaltung_ID" });
            DropTable("dbo.Veranstaltung");
            DropTable("dbo.Teilnehmer");
        }
    }
}
